//		Copyright © 1999  Jens Kilian
//
//		This program is free software; you can redistribute it and/or modify
//		it under the terms of the GNU General Public License as published by
//		the Free Software Foundation; either version 1, or (at your option)
//		any later version.
//
//		This program is distributed in the hope that it will be useful,
//		but WITHOUT ANY WARRANTY; without even the implied warranty of
//		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
//		GNU General Public License for more details.
//
//		You should have received a copy of the GNU General Public License
//		along with this program; if not, write to the Free Software
//		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//		$Log: SamhainDemoWindow.h,v $
//		Revision 1.1  1999/01/10 09:44:16  jjk
//		Initial revision
//

//		A window for demonstrating the screen saver.

#ifndef SAMHAINDEMOWINDOW_H
#define SAMHAINDEMOWINDOW_H

#include <Rect.h>
#include <Window.h>

class SamhainDemoWindow : public BWindow
{
	typedef BWindow inherited;
public:
	SamhainDemoWindow(BRect frame);
	virtual ~SamhainDemoWindow(void);
	
	// Hook functions.
	virtual bool QuitRequested(void);
	
private:
	SamhainDemoWindow(const SamhainDemoWindow &orig);
	SamhainDemoWindow &operator =(const SamhainDemoWindow &orig);
};

#endif
