// ============================================================
//  CSaveThread.h	1996 Hiroshi Lockheimer
// ============================================================
//	$Log: CSaveThread.h,v $
//	Revision 1.1  1999/01/10 09:54:36  jjk
//	Initial revision
//

#pragma once

#include <OS.h>
#include <View.h>

class CSaveThread {
public:
						CSaveThread();
	virtual				~CSaveThread();
	
	virtual void		StartSaving(BView *view);
	virtual void		StopSaving();
	
protected:
	void				StartSaveThread(long priority = B_LOW_PRIORITY);
	void				StopSaveThread();
	
	virtual bigtime_t		Save();
	
	static long			SaveThreadMain(void *data);
	
protected:
	sem_id				mSaveSem;
	thread_id			mSaveThread;
	BView*				mView;
};
